
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for CharityStatusCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CharityStatusCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="Valid"/>
 *     &lt;enumeration value="NoLongerValid"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum CharityStatusCodeType {

    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("NoLongerValid")
    NO_LONGER_VALID("NoLongerValid"),
    @XmlEnumValue("Valid")
    VALID("Valid");
    private final String value;

    CharityStatusCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CharityStatusCodeType fromValue(String v) {
        for (CharityStatusCodeType c: CharityStatusCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
