
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for ExternalProductCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ExternalProductCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="ISBN"/>
 *     &lt;enumeration value="UPC"/>
 *     &lt;enumeration value="ProductID"/>
 *     &lt;enumeration value="EAN"/>
 *     &lt;enumeration value="Keywords"/>
 *     &lt;enumeration value="MPN"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum ExternalProductCodeType {

    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    EAN("EAN"),
    ISBN("ISBN"),
    @XmlEnumValue("Keywords")
    KEYWORDS("Keywords"),
    MPN("MPN"),
    @XmlEnumValue("ProductID")
    PRODUCT_ID("ProductID"),
    UPC("UPC");
    private final String value;

    ExternalProductCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ExternalProductCodeType fromValue(String v) {
        for (ExternalProductCodeType c: ExternalProductCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
