
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for FeedbackRatingDetailCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="FeedbackRatingDetailCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="ItemAsDescribed"/>
 *     &lt;enumeration value="Communication"/>
 *     &lt;enumeration value="ShippingTime"/>
 *     &lt;enumeration value="ShippingAndHandlingCharges"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum FeedbackRatingDetailCodeType {

    @XmlEnumValue("Communication")
    COMMUNICATION("Communication"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("ItemAsDescribed")
    ITEM_AS_DESCRIBED("ItemAsDescribed"),
    @XmlEnumValue("ShippingAndHandlingCharges")
    SHIPPING_AND_HANDLING_CHARGES("ShippingAndHandlingCharges"),
    @XmlEnumValue("ShippingTime")
    SHIPPING_TIME("ShippingTime");
    private final String value;

    FeedbackRatingDetailCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FeedbackRatingDetailCodeType fromValue(String v) {
        for (FeedbackRatingDetailCodeType c: FeedbackRatingDetailCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
