
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for FeedbackRatingStarCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="FeedbackRatingStarCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="None"/>
 *     &lt;enumeration value="Yellow"/>
 *     &lt;enumeration value="Blue"/>
 *     &lt;enumeration value="Turquoise"/>
 *     &lt;enumeration value="Purple"/>
 *     &lt;enumeration value="Red"/>
 *     &lt;enumeration value="Green"/>
 *     &lt;enumeration value="YellowShooting"/>
 *     &lt;enumeration value="TurquoiseShooting"/>
 *     &lt;enumeration value="PurpleShooting"/>
 *     &lt;enumeration value="RedShooting"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum FeedbackRatingStarCodeType {

    @XmlEnumValue("Blue")
    BLUE("Blue"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("Green")
    GREEN("Green"),
    @XmlEnumValue("None")
    NONE("None"),
    @XmlEnumValue("Purple")
    PURPLE("Purple"),
    @XmlEnumValue("PurpleShooting")
    PURPLE_SHOOTING("PurpleShooting"),
    @XmlEnumValue("Red")
    RED("Red"),
    @XmlEnumValue("RedShooting")
    RED_SHOOTING("RedShooting"),
    @XmlEnumValue("Turquoise")
    TURQUOISE("Turquoise"),
    @XmlEnumValue("TurquoiseShooting")
    TURQUOISE_SHOOTING("TurquoiseShooting"),
    @XmlEnumValue("Yellow")
    YELLOW("Yellow"),
    @XmlEnumValue("YellowShooting")
    YELLOW_SHOOTING("YellowShooting");
    private final String value;

    FeedbackRatingStarCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FeedbackRatingStarCodeType fromValue(String v) {
        for (FeedbackRatingStarCodeType c: FeedbackRatingStarCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
