
package ebay.apis.eblbasecomponents;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 * 				Contains the item listings matching your search criteria. 
 * 			
 * 
 * <p>Java class for FindItemsAdvancedResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FindItemsAdvancedResponseType">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:ebay:apis:eBLBaseComponents}AbstractResponseType">
 *       &lt;sequence>
 *         &lt;element name="SearchResult" type="{urn:ebay:apis:eBLBaseComponents}SearchResultType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="PageNumber" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="TotalPages" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="TotalItems" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="CategoryHistogram" type="{urn:ebay:apis:eBLBaseComponents}CategoryArrayType" minOccurs="0"/>
 *         &lt;element name="TotalStoresExpansionItems" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="TotalInternationalExpansionItems" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="ItemSearchURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FindItemsAdvancedResponseType", propOrder = {
    "searchResult",
    "pageNumber",
    "totalPages",
    "totalItems",
    "categoryHistogram",
    "totalStoresExpansionItems",
    "totalInternationalExpansionItems",
    "itemSearchURL"
})
public class FindItemsAdvancedResponseType
    extends AbstractResponseType
{

    @XmlElement(name = "SearchResult", namespace = "urn:ebay:apis:eBLBaseComponents", required = true)
    protected List<SearchResultType> searchResult;
    @XmlElement(name = "PageNumber", namespace = "urn:ebay:apis:eBLBaseComponents")
    protected Integer pageNumber;
    @XmlElement(name = "TotalPages", namespace = "urn:ebay:apis:eBLBaseComponents")
    protected Integer totalPages;
    @XmlElement(name = "TotalItems", namespace = "urn:ebay:apis:eBLBaseComponents")
    protected Integer totalItems;
    @XmlElement(name = "CategoryHistogram", namespace = "urn:ebay:apis:eBLBaseComponents")
    protected CategoryArrayType categoryHistogram;
    @XmlElement(name = "TotalStoresExpansionItems", namespace = "urn:ebay:apis:eBLBaseComponents")
    protected Integer totalStoresExpansionItems;
    @XmlElement(name = "TotalInternationalExpansionItems", namespace = "urn:ebay:apis:eBLBaseComponents")
    protected Integer totalInternationalExpansionItems;
    @XmlElement(name = "ItemSearchURL", namespace = "urn:ebay:apis:eBLBaseComponents")
    protected String itemSearchURL;

    /**
     * Gets the value of the searchResult property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the searchResult property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSearchResult().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SearchResultType }
     * 
     * 
     */
    public List<SearchResultType> getSearchResult() {
        if (searchResult == null) {
            searchResult = new ArrayList<SearchResultType>();
        }
        return this.searchResult;
    }

    /**
     * Gets the value of the pageNumber property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPageNumber() {
        return pageNumber;
    }

    /**
     * Sets the value of the pageNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPageNumber(Integer value) {
        this.pageNumber = value;
    }

    /**
     * Gets the value of the totalPages property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTotalPages() {
        return totalPages;
    }

    /**
     * Sets the value of the totalPages property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTotalPages(Integer value) {
        this.totalPages = value;
    }

    /**
     * Gets the value of the totalItems property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTotalItems() {
        return totalItems;
    }

    /**
     * Sets the value of the totalItems property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTotalItems(Integer value) {
        this.totalItems = value;
    }

    /**
     * Gets the value of the categoryHistogram property.
     * 
     * @return
     *     possible object is
     *     {@link CategoryArrayType }
     *     
     */
    public CategoryArrayType getCategoryHistogram() {
        return categoryHistogram;
    }

    /**
     * Sets the value of the categoryHistogram property.
     * 
     * @param value
     *     allowed object is
     *     {@link CategoryArrayType }
     *     
     */
    public void setCategoryHistogram(CategoryArrayType value) {
        this.categoryHistogram = value;
    }

    /**
     * Gets the value of the totalStoresExpansionItems property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTotalStoresExpansionItems() {
        return totalStoresExpansionItems;
    }

    /**
     * Sets the value of the totalStoresExpansionItems property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTotalStoresExpansionItems(Integer value) {
        this.totalStoresExpansionItems = value;
    }

    /**
     * Gets the value of the totalInternationalExpansionItems property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTotalInternationalExpansionItems() {
        return totalInternationalExpansionItems;
    }

    /**
     * Sets the value of the totalInternationalExpansionItems property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTotalInternationalExpansionItems(Integer value) {
        this.totalInternationalExpansionItems = value;
    }

    /**
     * Gets the value of the itemSearchURL property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getItemSearchURL() {
        return itemSearchURL;
    }

    /**
     * Sets the value of the itemSearchURL property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setItemSearchURL(String value) {
        this.itemSearchURL = value;
    }

}
