
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for HalfItemConditionCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="HalfItemConditionCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="BrandNew"/>
 *     &lt;enumeration value="LikeNew"/>
 *     &lt;enumeration value="VeryGood"/>
 *     &lt;enumeration value="Good"/>
 *     &lt;enumeration value="Acceptable"/>
 *     &lt;enumeration value="Used"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum HalfItemConditionCodeType {

    @XmlEnumValue("Acceptable")
    ACCEPTABLE("Acceptable"),
    @XmlEnumValue("BrandNew")
    BRAND_NEW("BrandNew"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("Good")
    GOOD("Good"),
    @XmlEnumValue("LikeNew")
    LIKE_NEW("LikeNew"),
    @XmlEnumValue("Used")
    USED("Used"),
    @XmlEnumValue("VeryGood")
    VERY_GOOD("VeryGood");
    private final String value;

    HalfItemConditionCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static HalfItemConditionCodeType fromValue(String v) {
        for (HalfItemConditionCodeType c: HalfItemConditionCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
