
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for SimpleItemSortCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="SimpleItemSortCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="BestMatch"/>
 *     &lt;enumeration value="CustomCode"/>
 *     &lt;enumeration value="EndTime"/>
 *     &lt;enumeration value="BidCount"/>
 *     &lt;enumeration value="Country"/>
 *     &lt;enumeration value="CurrentBid"/>
 *     &lt;enumeration value="Distance"/>
 *     &lt;enumeration value="StartDate"/>
 *     &lt;enumeration value="BestMatchCategoryGroup"/>
 *     &lt;enumeration value="PricePlusShipping"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum SimpleItemSortCodeType {

    @XmlEnumValue("BestMatch")
    BEST_MATCH("BestMatch"),
    @XmlEnumValue("BestMatchCategoryGroup")
    BEST_MATCH_CATEGORY_GROUP("BestMatchCategoryGroup"),
    @XmlEnumValue("BidCount")
    BID_COUNT("BidCount"),
    @XmlEnumValue("Country")
    COUNTRY("Country"),
    @XmlEnumValue("CurrentBid")
    CURRENT_BID("CurrentBid"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("Distance")
    DISTANCE("Distance"),
    @XmlEnumValue("EndTime")
    END_TIME("EndTime"),
    @XmlEnumValue("PricePlusShipping")
    PRICE_PLUS_SHIPPING("PricePlusShipping"),
    @XmlEnumValue("StartDate")
    START_DATE("StartDate");
    private final String value;

    SimpleItemSortCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SimpleItemSortCodeType fromValue(String v) {
        for (SimpleItemSortCodeType c: SimpleItemSortCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
