
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for StoreSearchCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="StoreSearchCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="AllItemsInTheStore"/>
 *     &lt;enumeration value="AuctionItemsInTheStore"/>
 *     &lt;enumeration value="BuyItNowItemsInTheStore"/>
 *     &lt;enumeration value="BuyItNowItemsInAllStores"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum StoreSearchCodeType {

    @XmlEnumValue("AllItemsInTheStore")
    ALL_ITEMS_IN_THE_STORE("AllItemsInTheStore"),
    @XmlEnumValue("AuctionItemsInTheStore")
    AUCTION_ITEMS_IN_THE_STORE("AuctionItemsInTheStore"),
    @XmlEnumValue("BuyItNowItemsInAllStores")
    BUY_IT_NOW_ITEMS_IN_ALL_STORES("BuyItNowItemsInAllStores"),
    @XmlEnumValue("BuyItNowItemsInTheStore")
    BUY_IT_NOW_ITEMS_IN_THE_STORE("BuyItNowItemsInTheStore"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode");
    private final String value;

    StoreSearchCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static StoreSearchCodeType fromValue(String v) {
        for (StoreSearchCodeType c: StoreSearchCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
