
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for PreferredLocationCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="PreferredLocationCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="ListedInCurrencyImplied"/>
 *     &lt;enumeration value="LocatedInCountryImplied"/>
 *     &lt;enumeration value="AvailableInCountryImplied"/>
 *     &lt;enumeration value="SiteImplied"/>
 *     &lt;enumeration value="BelgiumListing"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum PreferredLocationCodeType {

    @XmlEnumValue("AvailableInCountryImplied")
    AVAILABLE_IN_COUNTRY_IMPLIED("AvailableInCountryImplied"),
    @XmlEnumValue("BelgiumListing")
    BELGIUM_LISTING("BelgiumListing"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("ListedInCurrencyImplied")
    LISTED_IN_CURRENCY_IMPLIED("ListedInCurrencyImplied"),
    @XmlEnumValue("LocatedInCountryImplied")
    LOCATED_IN_COUNTRY_IMPLIED("LocatedInCountryImplied"),
    @XmlEnumValue("SiteImplied")
    SITE_IMPLIED("SiteImplied");
    private final String value;

    PreferredLocationCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PreferredLocationCodeType fromValue(String v) {
        for (PreferredLocationCodeType c: PreferredLocationCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
