
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for ProductIDCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ProductIDCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="ISBN"/>
 *     &lt;enumeration value="EAN"/>
 *     &lt;enumeration value="UPC"/>
 *     &lt;enumeration value="MPN"/>
 *     &lt;enumeration value="Keywords"/>
 *     &lt;enumeration value="CatalogItem"/>
 *     &lt;enumeration value="Reference"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum ProductIDCodeType {

    @XmlEnumValue("CatalogItem")
    CATALOG_ITEM("CatalogItem"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    EAN("EAN"),
    ISBN("ISBN"),
    @XmlEnumValue("Keywords")
    KEYWORDS("Keywords"),
    MPN("MPN"),
    @XmlEnumValue("Reference")
    REFERENCE("Reference"),
    UPC("UPC");
    private final String value;

    ProductIDCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ProductIDCodeType fromValue(String v) {
        for (ProductIDCodeType c: ProductIDCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
