
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for ProductSortCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ProductSortCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="Popularity"/>
 *     &lt;enumeration value="Rating"/>
 *     &lt;enumeration value="ReviewCount"/>
 *     &lt;enumeration value="ItemCount"/>
 *     &lt;enumeration value="Title"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum ProductSortCodeType {

    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("ItemCount")
    ITEM_COUNT("ItemCount"),
    @XmlEnumValue("Popularity")
    POPULARITY("Popularity"),
    @XmlEnumValue("Rating")
    RATING("Rating"),
    @XmlEnumValue("ReviewCount")
    REVIEW_COUNT("ReviewCount"),
    @XmlEnumValue("Title")
    TITLE("Title");
    private final String value;

    ProductSortCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ProductSortCodeType fromValue(String v) {
        for (ProductSortCodeType c: ProductSortCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
