
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for SellerBusinessCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="SellerBusinessCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="Undefined"/>
 *     &lt;enumeration value="Private"/>
 *     &lt;enumeration value="Commercial"/>
 *     &lt;enumeration value="CustomCode"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum SellerBusinessCodeType {

    @XmlEnumValue("Commercial")
    COMMERCIAL("Commercial"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("Private")
    PRIVATE("Private"),
    @XmlEnumValue("Undefined")
    UNDEFINED("Undefined");
    private final String value;

    SellerBusinessCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SellerBusinessCodeType fromValue(String v) {
        for (SellerBusinessCodeType c: SellerBusinessCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
