
package ebay.apis.eblbasecomponents;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;


/**
 * <p>Java class for SiteCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="SiteCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *     &lt;enumeration value="US"/>
 *     &lt;enumeration value="Canada"/>
 *     &lt;enumeration value="UK"/>
 *     &lt;enumeration value="Australia"/>
 *     &lt;enumeration value="Austria"/>
 *     &lt;enumeration value="Belgium_French"/>
 *     &lt;enumeration value="France"/>
 *     &lt;enumeration value="Germany"/>
 *     &lt;enumeration value="Italy"/>
 *     &lt;enumeration value="Belgium_Dutch"/>
 *     &lt;enumeration value="Netherlands"/>
 *     &lt;enumeration value="Spain"/>
 *     &lt;enumeration value="Switzerland"/>
 *     &lt;enumeration value="Taiwan"/>
 *     &lt;enumeration value="eBayMotors"/>
 *     &lt;enumeration value="HongKong"/>
 *     &lt;enumeration value="Singapore"/>
 *     &lt;enumeration value="India"/>
 *     &lt;enumeration value="China"/>
 *     &lt;enumeration value="Ireland"/>
 *     &lt;enumeration value="Malaysia"/>
 *     &lt;enumeration value="Philippines"/>
 *     &lt;enumeration value="Poland"/>
 *     &lt;enumeration value="Sweden"/>
 *     &lt;enumeration value="CustomCode"/>
 *     &lt;enumeration value="CanadaFrench"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlEnum
public enum SiteCodeType {

    @XmlEnumValue("Australia")
    AUSTRALIA("Australia"),
    @XmlEnumValue("Austria")
    AUSTRIA("Austria"),
    @XmlEnumValue("Belgium_Dutch")
    BELGIUM_DUTCH("Belgium_Dutch"),
    @XmlEnumValue("Belgium_French")
    BELGIUM_FRENCH("Belgium_French"),
    @XmlEnumValue("Canada")
    CANADA("Canada"),
    @XmlEnumValue("CanadaFrench")
    CANADA_FRENCH("CanadaFrench"),
    @XmlEnumValue("China")
    CHINA("China"),
    @XmlEnumValue("CustomCode")
    CUSTOM_CODE("CustomCode"),
    @XmlEnumValue("eBayMotors")
    E_BAY_MOTORS("eBayMotors"),
    @XmlEnumValue("France")
    FRANCE("France"),
    @XmlEnumValue("Germany")
    GERMANY("Germany"),
    @XmlEnumValue("HongKong")
    HONG_KONG("HongKong"),
    @XmlEnumValue("India")
    INDIA("India"),
    @XmlEnumValue("Ireland")
    IRELAND("Ireland"),
    @XmlEnumValue("Italy")
    ITALY("Italy"),
    @XmlEnumValue("Malaysia")
    MALAYSIA("Malaysia"),
    @XmlEnumValue("Netherlands")
    NETHERLANDS("Netherlands"),
    @XmlEnumValue("Philippines")
    PHILIPPINES("Philippines"),
    @XmlEnumValue("Poland")
    POLAND("Poland"),
    @XmlEnumValue("Singapore")
    SINGAPORE("Singapore"),
    @XmlEnumValue("Spain")
    SPAIN("Spain"),
    @XmlEnumValue("Sweden")
    SWEDEN("Sweden"),
    @XmlEnumValue("Switzerland")
    SWITZERLAND("Switzerland"),
    @XmlEnumValue("Taiwan")
    TAIWAN("Taiwan"),
    UK("UK"),
    US("US");
    private final String value;

    SiteCodeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SiteCodeType fromValue(String v) {
        for (SiteCodeType c: SiteCodeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
